# Interface DeepClientResult<R>

interface DeepClientResult<R> {
data: R;
error?: any;
errors?: readonly GraphQLError[];
loading: boolean;
networkStatus: NetworkStatus;
partial?: boolean;
subscribe?: ((observer: Observer<any>) => Subscription);
}

#### Type Parameters

- R

#### Hierarchy

- ApolloQueryResult<R>
  - DeepClientResult

- Defined in work/deeplinks/deeplinks/imports/client.tsx:364

#####
Index

### Properties

data
error?
errors?
loading
networkStatus
partial?
subscribe?

##
Properties

### data

data: R

Inherited from ApolloQueryResult.data

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:45

### `Optional` error

error?: any

The single Error object that is passed to onError and useQuery hooks, and is often thrown during manual `client.query` calls. This will contain both a NetworkError field and any GraphQLErrors. See https://www.apollographql.com/docs/react/data/error-handling/ for more information.

Overrides ApolloQueryResult.error

- Defined in work/deeplinks/deeplinks/imports/client.tsx:365

### `Optional` errors

errors?: readonly GraphQLError[]

A list of any errors that occurred during server-side execution of a GraphQL operation. See https://www.apollographql.com/docs/react/data/error-handling/ for more information.

Inherited from ApolloQueryResult.errors

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:50

### loading

loading: boolean

Inherited from ApolloQueryResult.loading

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:57

### networkStatus

networkStatus: NetworkStatus

Inherited from ApolloQueryResult.networkStatus

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:58

### `Optional` partial

partial?: boolean

Inherited from ApolloQueryResult.partial

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:59

### `Optional` subscribe

subscribe?: ((observer: Observer<any>) => Subscription)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:366